On this page

    Coordinates API

    The MapTiler Coordinates API makes it possible to search map coordinate systems and transform coordinates from one to another. See the intro to working with coordinate systems to learn about how it works and when it’s useful.

    How to use the API

    • Directly from any application, CLI, backend, pipeline.
    • Via the Coordinates API client library, which wraps the API calls in ready-made functions for easier implementation in JavaScript.

    Key

    You need a MapTiler API key to use this service. Get it here and learn how to protect it.

    Getting started

    For practical guidance and sample API calls, see:


    The results provided by the Coordinates API are based on the EPSG database version 12.029.

    Search coordinate systems

    GET https://api.maptiler.com/coordinates/search/{query}.json

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    query
    string
    Query string used to search the catalog. It accepts plain terms such as names of locations and key:value pairs for filtering. Following parameter values can be used:
    • kind
      • * (All kinds)
      • CRS (All coordinate reference systems - default)
        • CRS-PROJCRS (Projected coordinate systems)
        • CRS-GEOGCRS (Geodetic coordinate systems)
        • CRS-GEOG3DCRS (Geodetic 3D coordinate systems)
        • CRS-GCENCRS (Geocentric coordinate systems)
        • CRS-VERTCRS (Vertical coordinate systems)
        • CRS-ENGCRS (Engineering coordinate systems)
        • CRS-COMPOUNDCRS (Compound coordinate systems)
        • CRS-DRVDCRS (Derived coordinate systems)
      • COORDOP (All operations)
        • COORDOP-COPTRAN (Transformations)
        • COORDOP-COPCONO (Compound operations)
        • COORDOP-POIMOTO (Point motion operations)
        • COORDOP-COPCON (Conversions)
      • DATUM (All datums)
        • DATUM-VERTDAT (Vertical datums)
        • DATUM-ENGDAT (Engineering datums)
        • DATUM-GEODDAT (Geodetic datums)
        • DATUM-DYNGEODDA (Dynamic geodetic datums)
        • DATUM-ENSEMDAT (Ensemble datum)
      • ELLIPSOID (Ellipsoid)
      • PRIMEM (Prime meridian)
      • METHOD (Method / Projection)
      • CS (Coordinate systems)
        • CS-VERTCS (Vertical coordinate system)
        • CS-SPHERCS (Spherical coordinate system)
        • CS-CARTESCS (Cartesian coordinate system)
        • CS-ELLIPCS (Ellipsoidal coordinate system)
        • CS-AFFINE (Affine coordinate system)
        • CS-ORDINAL (Ordinal coordinate system)
      • AXIS (Axis)
      • AREA (Area)
      • UNIT (Unit)
        • UNIT-ANGUNIT (Angle unit)
        • UNIT-SCALEUNIT (Scale unit)
        • UNIT-LENUNIT (Length unit)
        • UNIT-TIMEUNIT (Time unit)
    • code
      • Full code of the resource
    • trans
      • Code of the transformation
    • deprecated
      • * (Both active and deprecated)
      • 0 (active only - default)
      • 1 (deprecated only)
    Examples:
    finland deprecated:* kind:* - Finding all resources of Finland
    United Kingdom - Basic example
    mercator deprecated:1 - Finding deprecated mercator CRS
    Finland kind:DATUM - Filtering resources using parameter(s)
    code:4326 - Finding specific resource (WGS84) by code

    Query Parameters

    Parameters Type Description
    limit
    integer
    Maximum number of results returned
    >= 1<= 50
    Default: 10
    offset
    integer
    The starting position of returned list of results
    >= 0
    Default: 0
    transformations
    boolean
    Show detailed transformations for each CRS
    Default: false
    exports
    boolean
    Show exports in WKT and Proj4 notations
    Default: false
    Request example
    
      https://api.maptiler.com/coordinates/search/finland deprecated:* kind:*.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json SearchResult

    Transform coordinates

    GET https://api.maptiler.com/coordinates/transform/{coordinates}.json

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    coordinates
    string
    List of coordinate pairs seperated by ; delimeter (Max 50 pairs).
    Example: 17,50;17,50,300

    Query Parameters

    Parameters Type Description
    s_srs
    integer
    Source CRS
    Default: 4326
    t_srs
    integer
    Target CRS
    Default: 4326
    ops
    string
    List of codes of operations seperated by a | (pipe) operator
    Example: 1623
    Request example
    
      https://api.maptiler.com/coordinates/transform/17,50;17,50,300.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json TransformResult

    SearchResult

    Property Type Description
    results
    array [ SearchItem ]
    total
    integer

    SearchItem

    Property Type Description
    accuracy
    number
    area
    string
    bbox
    array [number]
    Bounding box of the resource in [min_lon, min_lat, max_lon, max_lat] order.
    default_transformation
    Default Transformation
    Most suitable transformation for this CRS.
    deprecated
    boolean
    exports
    ExportItem
    id
    Id
    kind
    string
    name
    string
    transformations
    array Any Of [TransformationItem integer]
    unit
    string

    Id

    Property Type Description
    authority
    string
    code
    integer

    ExportItem

    Property Type Description
    proj4
    string
    wkt
    string

    TransformationItem

    Property Type Description
    accuracy
    number
    area
    string
    bbox
    array [number]
    Bounding box of the resource in [min_lon, min_lat, max_lon, max_lat] order.
    deprecated
    boolean
    exports
    ExportItem
    grids
    array [ GridFile ]
    List of grids used in this operation.
    id
    Id
    name
    string
    reversible
    boolean
    Whether this operation can be used in reverse or not.
    target_crs
    Id
    unit
    string
    usable
    boolean
    Whether this operation can be used in online API or not.

    GridFile

    Property Type Description
    path
    string

    TransformResult

    Property Type Description
    results
    array [ XYZ ]
    transformer_selection_strategy
    string
    Transformations are selected using given ops parameter. If no parameter is given, auto strategy is used. If given, it may try to use a listed transformation, then fallback to towgs84 patching, and finally boundcrs.

    XYZ

    Property Type Description
    x
    number
    y
    number
    z
    number

    Default Transformation

    Most suitable transformation for this CRS.

    Property Type Description
    authority
    string
    code
    integer
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Coordinates API with EPSG support
    Coordinates API (EPSG)